Subject: Re: bug#15946: 24.3; Mac OS X, Mavericks, distnoted process

From: Jan Djärv <[email-masked]>
Date: Mon, 9 Dec 2013 11:06:58 +0100

Hello. 

> 9 dec 2013 kl. 05:38 skrev Christopher Smith <[email-masked]>:
> 
> Donald Tillman <don <at> till.com> writes:
>> Hi!
>> 
>> I use Emacs on Mac OS X, Mavericks, Intel MacBook Pro, downloaded from
>> emacsformacosx.com.
>> 
>> Running Emacs, a process named "distnoted" starts around 1% or 2% of the
>> CPU, and after a while, slowly works its way up to 50% to 100% of
>> the CPU.  Yoiks!  Actually there appear to be 3 distnoted processes,
>> but only one eats up the CPU.
>> 
>> Quitting Emacs brings distnoted down to under 1% within seconds. 
> 
> Just wanted to bump this up, as I've now seen this bug myself. Not sure
> why Emacs is causing the problem. My emacs was built from macports.

It is no use bumping anything that isn't reproducable. More helpful would be if those that have this can do some debugging. For example dtruss on Emacs and distnoted. 

     Jan D.